**To register a directory**

The following ``register-workspace-directory`` example registers the specified directory for use with Amazon WorkSpaces. ::

    aws workspaces register-workspace-directory \
        --directory-id d-926722edaf

This command produces no output.

For more information, see `Register an existing AWS Directory Service directory with WorkSpaces Personal <https://docs.aws.amazon.com/workspaces/latest/adminguide/register-deregister-directory.html>`__ in the *Amazon WorkSpaces Administration Guide*.
